SoPickedPointList Class Reference

| http://www.sim.no/ http://www.coin3d.org/

- Main Page
- Related Pages
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
SoPickedPointList Class Reference
Miscellaneous Classes

The SoPickedPointList class is a container for pointers to SoPickedPoint objects.This list class will delete the picked points when destructed/truncated, or when a picked point in the list is replaced by another picked point The caller is responsible for allocating the picked points passed to the list, but should not deallocate them since this will be handled by the list. More...

`#include <Inventor/lists/SoPickedPointList.h>`

Inheritance diagram for SoPickedPointList:

## Public Member Functions
| SoPickedPointList (void)
| SoPickedPointList (const int sizehint)
| SoPickedPointList (const SoPickedPointList &l)
void | append (SoPickedPoint *pp)
void | insert (SoPickedPoint *pp, const int insertbefore)
SoPickedPoint * | operator[] (const int idx) const
void | truncate (const int start, const int fit=0)
void | set (const int idx, SoPickedPoint *pp)
Public Member Functions inherited from SbPList
| SbPList (const int sizehint=DEFAULTSIZE)
| SbPList (const SbPList &l)
| ~SbPList ()
void | copy (const SbPList &l)
SbPList & | operator= (const SbPList &l)
void | fit (void)
void | append (void *item)
int | find (void *item) const
void | insert (void *item, const int insertbefore)
void | removeItem (void *item)
void | remove (const int index)
void | removeFast (const int index)
int | getLength (void) const
void | truncate (const int length, const int fit=0)
void ** | getArrayPtr (const int start=0) const
void *& | operator[] (const int index) const
int | operator== (const SbPList &l) const
int | operator!= (const SbPList &l) const
void * | get (const int index) const
void | set (const int index, void *item)

## Additional Inherited Members
Protected Member Functions inherited from SbPList
void | expand (const int size)
int | getArraySize (void) const

## Detailed Description

The SoPickedPointList class is a container for pointers to SoPickedPoint objects.

This list class will delete the picked points when destructed/truncated, or when a picked point in the list is replaced by another picked point The caller is responsible for allocating the picked points passed to the list, but should not deallocate them since this will be handled by the list.

See also
  SbPList

## Constructor & Destructor Documentation

SoPickedPointList::SoPickedPointList | ( | void |  | ) |
| inline

Default constructor.

SoPickedPointList::SoPickedPointList | ( | const int | sizehint | ) |
| inline

This constructor initializes the internal allocated size for the list to sizehint. Note that the list will still initially contain zero items.

See also
  SbList::SbList(const int sizehint)

SoPickedPointList::SoPickedPointList | ( | const SoPickedPointList & | l | ) |

Copy constructor. Will copy picked points, not just pointers.

See also
  SbList::SbList(const SbList<Type> & l)

## Member Function Documentation

SoPickedPoint * SoPickedPointList::operator[] | ( | const int | idx | ) | const
| inline

Returns element at idx.

Will automatically expand the size of the internal array if idx is outside the current bounds of the list. The values of any additional pointers are then set to `NULL`.

void SoPickedPointList::truncate | ( | const int | start,
|  | const int | fit = `0`
| ) |  |

Overridden to delete truncated items.

void SoPickedPointList::set | ( | const int | idx,
|  | SoPickedPoint * | pp
| ) |  |

Overridden to destruct the replaced item.

The documentation for this class was generated from the following files:

- SoPickedPointList.h
- SoPickedPointList.cpp

Copyright © 1998-2010 by Kongsberg Oil & Gas Technologies. All rights reserved.